Skip to content
Documentation

Performs simple aggregation on time series that match given criteriae

GET /repositories/{repository}/calculations/aggregation

Given specific search criteriae, this endpoint finds all the matching time series and aggregates (sums) all their data points.

Name In Type Required Description
repository path string yes The repository in which the time series to aggregate are stored.
calculationCyclic query boolean yes Whether or not to calculate the data on the assumption that the underlying time series data holds cyclic data.
calculationFunction query integer (int32) | string yes The function type to use during calculation. If not specified, uses the function type of the underlying time series.
calculationInterval.multiplier query integer (int32) yes A multiplier for the given calculationInterval.type. Default: 1.
calculationInterval.type query integer (int32) | string yes The interval type to use for calculation (i.e. Hour, Minute, etc.). This and calculationInterval.multiplier affect how data is read from source time series prior to calculation.
from query string (date-time) yes Together with the to parameter, defines the period of time for which data is to be returned.
to query string (date-time) yes Together with the from parameter, defines the period of time for which data is to be returned.
calculationIntervalTransformationMethod query integer (int32) | string no The interval transformation method to use during calculation. If not specified, the method of the underlying time series is used.
calculationStartOfTime query string (date-time) no The start of time that should be used during calculation, that is the hour when a day starts. This is usually zero and is only required in specific edge cases when reading/calculating time series in intervals greater than or equal to one day. If not specified, the startOfDay property of the underlying time series is used.
calculationTimeZone query string no The time zone that should be used during calculation. This may affect results during DST transitions. If not specified, the time zone of the underlying time series is used.
calculationUnit query string no The unit to use during calculation. This may affect how underlying/referenced time series data is converted prior to calculation.
cyclic query boolean no Specifies whether the data should be read as if it is cyclic or not. If not specified, the cyclic property of the underlying time series is used.
flagHandling query FlagHandling no Determines how flags are considered when aggregating multiple values with different flags. Enum: 0, 1
function query integer (int32) | string no Specifies the function type that should be used when reading the data. If none is specified, the function type of the undelying time series is used.
historicDateTime query string no Specifies the date/time in the history of the time series that should be read. If not specified, the current state of the data is read.
interval.multiplier query integer (int32) no In combination with the interval.type parameter, this allows for the data to be returned in any conceivable interval, i.e. 15 minutes, 2 hours, 8 weeks, etc.
interval.type query integer (int32) | string no The interval type (i.e. hour, minute, etc.) in which data should be returned.

Interval types can be specified either by their numeric value or by their short string representation.
intervalTransformationMethod query integer (int32) | string no Specifies the interval transformation method that should be used when reading data in another interval than the underlying time series has set. If not specified then the interval transformation method of the underlying time series is used.
search.attribute query string[] no Query parameter for filtering time series by assigned attributes.

Supports the following variants:
- ?attribute=<name>
- ?attribute=<name>|<value>
- ?attribute=oneof(<name1>,<name2>)
- ?attribute=oneof(<name1>|<value1>,<name2>|<value2>)
- ?attribute=<name1>|oneof(<value1>,<value2>)

A <datetimeexpression> restriction can be attached to any <value>, oneof(<name1>|<value1>,<name2>|<value2>) or <name1>|oneof(<value1>,<value2>) expression to limit the search time-frame:
Time series will be looked for that have an attribute with the specified name and value within the target time-frame.
If attached to a oneof(...) expression it is applied to all values within the expression unless overwritten by a <datetimeexpression> directly attached to a <value> within the oneof(...) expression.
The <datetimeexpression> can have one of the following forms:
- @<datetime> (the expression is applied at the exact date and time of <datetime>)
- @from:<datetime> (the expression is applied at or any date and time after <datetime>)
- @to:<datetime> (the expression is applied at or any date and time before <datetime>)
- @from:<datetime1>to:<datetime2> (the expression is applied between <datetime1> and <datetime2>)

You may specify multiple attribute parameters in the query string; all conditions must be met (logical AND).

Wildcards are supported in <name> and <value>. Wildcards allow matching multiple attribute names or values:
- ? matches any single character
- * matches any sequence of characters

Examples:
- ?attribute=Type
- ?attribute=Type|Solar
- ?attribute=Type|Coal
- ?attribute=Type|Coal@2026-02-10T16:08:27.9359993+01:00 (finds time series with an assigned Type attribute having the value Coal at exactly 2026-02-10T16:08:27.9359993+01:00)
- ?attribute=Type|Coal@from:2026-02-10T16:08:27.9359993+01:00 (finds time series with an assigned Type attribute having the value Coal at or any time after 2026-02-10T16:08:27.9359993+01:00)
- ?attribute=Type|Coal@to:2026-02-10T16:08:27.9359993+01:00 (finds time series with an assigned Type attribute having the value Coal at or any time before 2026-02-10T16:08:27.9359993+01:00)
- ?attribute=Type|Coal@from:2020-02-10T16:08:27.9359993+01:00to:2026-02-10T16:08:27.9359993+01:00 (finds time series with an assigned Type attribute having the value Coal at any time between 2020-02-10T16:08:27.9359993+01:00 and 2026-02-10T16:08:27.9359993+01:00 (both thresholds are inclusive))
- ?attribute=Location|DE
- ?attribute=Location|DE&attribute=Type|Solar
- ?attribute=Active|true
- ?attribute=Type|oneof(Solar,Wind,Coal) (matches Type attribute with any of the values Solar, Wind, or Coal)
- ?attribute=Type|oneof(Solar,Wind,Coal)@2026-02-10T16:08:27.9359993+01:00 (finds time series with an assigned Type attribute having the value Solar, Wind or Coal at exactly 2026-02-10T16:08:27.9359993+01:00)
- ?attribute=Type|oneof(Solar@from:2026-02-10T16:08:27.9359993+01:00,Wind@to:2026-02-10T16:08:27.9359993+01:00,Coal)@2026-02-10T16:08:27.9359993+01:00 (finds time series with an assigned Type attribute having either: the value Solar at or after 2026-02-10T16:08:27.9359993+01:00, Wind up to 2026-02-10T16:08:27.9359993+01:00 or Coal exactly at 2026-02-10T16:08:27.9359993+01:00)
- ?attribute=Location|oneof(DE,AT) (matches Location attribute with either DE or AT)
- ?attribute=Type|Solar&attribute=Active|true (matches time series where Type is Solar AND Active is true)
- ?attribute=Type|S* (matches all Type values starting with ‘S’, e.g. Solar, Steam)
- ?attribute=Location|D? (matches all Location values starting with ‘D’ and followed by any single character, e.g. DE, DK)
- ?attribute=T*|Solar (matches all attribute names starting with ‘T’ and value ‘Solar’, e.g. Type|Solar, Tag|Solar)
- ?attribute=Type|oneof(Solar,Wind)&attribute=Active|true (matches time series where Type is Solar or Wind AND Active is true)
- ?attribute=oneof(Type|Solar,Location|DE) (matches time series where Type is Solar OR Location is DE)

When multiple filters are given, individual filters are connected using a logical AND, so attribute=<filterA>&attribute=<filterB> returns only those time series whose attributes match both <filterA> and <filterB>.
search.changedSince query string (date-time) no Restricts the search to time series whose definition, attribute assignments, attribute data or time series assignments were last changed at or after this point in time; writing time series data does not count as a change. The comparison uses the resolution of the repository’s time base. A modification that fails part-way or changes nothing may also be counted.

Accepts an ISO 8601 date and time with Z or an offset, e.g. 2024-05-01T10:15:30Z or 2024-05-01T12:15:30+02:00. In a raw query string, send the + of an offset percent-encoded as %2B, because an unencoded + is read as a space. A value without an offset is read in the server’s local time zone.
search.cyclic query boolean no Whether to look for cyclic time series or non-cyclic time series.
search.description query string no Description of the time series
search.formula query string no Formula of the time series
search.function query integer (int32) | string no Function type of the time series
search.interval.multiplier query integer (int32) no Interval multiplier of the time series
search.interval.type query integer (int32) | string no Interval type of the time series
search.intervalTransformationMethod query integer (int32) | string no Interval transformation method of the time series
search.name query string no Name of the time series
search.startOfTime query string (date-time) no Start of time of the time series
search.timeZone query string no Time zone of the time series
search.unit query string no Unit of the time series
timeZone query string no The time zone in which the data is to be read. If this is different from the time zone of the underlying time series, some transformations may be applied.
unit query string no Specifies the unit the data should be read in. Conversion is attempted if possible. If not specified, the unit of the underlying time series is used.
calculationFunctionType query number no Deprecated. Do not use! Use the parameter function instead. The function type to use during calculation. If not specified, uses the function type of the underlying time series.
calculationIntervalMultiplier query integer (int32) no Deprecated. Obsolete! Please use the calculationInterval.multiplier parameter instead. A multiplier for the given calculationIntervalType. Default: 1.
calculationIntervalType query number no Deprecated. Obsolete! Please use the calculationInterval.type parameter instead! The interval type to use for calculation (i.e. Hour, Minute, etc.). This and calculationIntervalMultiplier affect how data is read from source time series prior to calculation.
functionType query number no Deprecated. Do not use! Use function parameter instead! Specifies the function type that should be used when reading the data. If none is specified, the function type of the undelying time series is used.
intervalMultiplier query integer (int32) no Deprecated. Obsolete! Please use the interval.multiplier parameter instead! In combination with the intervalType parameter, this allows for the data to be returned in any conceivable interval, i.e. 15 minutes, 2 hours, 8 weeks, etc.
intervalType query number no Deprecated. Obsolete! Please use the interval.type parameter instead! The interval type (i.e. hour, minute, etc.) in which data should be returned.
search.functionType query number no Deprecated. OBSOLETE! Use parameter function instead! Function type of the time series to find.
search.intervalMultiplier query integer (int32) no Deprecated. Obsolete! Please use the interval.multiplier parameter instead. Interval multiplier of the time series
search.intervalType query number no Deprecated. Obsolete! Please use the interval.type parameter instead! Interval type of the time series
Code Description Type
200 This response is returned when the calculation has been successfully performed. The body of the response contains object
4XX Indicates that the request failed due to a client error. Please refer to the details provided in the body of the response in order to ensure that the request can be handled properly. ProblemDetails
5XX Indicates that the request failed due to an error that occurred on the server. Consider reporting this error to the server operators. ProblemDetails
Name Type Required Description
data TimeSeriesDataOfDouble[] no —
unit UnitReference no —
interval Interval no —
cyclic boolean no —
function number no Specifies the validity of each single value along a time series, i.e either from the last value up to the current data/time or from the current date/time to the next value.
timeZone string no Identifies the time zone in which a time series is defined. This may impact calculation results, especially during daylight savings time transitions.
{
"data": [
{
"value": 0,
"flag": 9,
"time": "2026-01-01T00:00:00Z"
}
],
"unit": {
"storageInformation": {
"repositoryName": "string"
},
"identifier": "string"
},
"interval": {
"type": 2,
"multiplier": 0
},
"cyclic": true,
"function": 2,
"timeZone": "Europe/Vienna"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}
© 2026 Volue.Version v0.6.38017 November 2026